Package org.eclipse.net4j.util.collection

## Class ConcurrentArray.Unique<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.ConcurrentArray<E>
  - - org.eclipse.net4j.util.collection.ConcurrentArray.Unique<E>

- Enclosing class:
    ConcurrentArray<E>

      public abstract static class ConcurrentArray.Unique<E>
      extends ConcurrentArray<E>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `ConcurrentArray.DuplicateCounter<E>, ConcurrentArray.Unique<E>`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `elements`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Unique()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `equals​(E e1, E e2)` | Synchronized through `ConcurrentArray.add(Object)`.
    `protected boolean` | `validate​(E element)` |
    `protected void` | `violatingUniqueness​(E element)` | Synchronized through `ConcurrentArray.add(Object)`.

    - ### Methods inherited from class org.eclipse.net4j.util.collection.ConcurrentArray

      `add, addUnique, contains, elementAdded, elementRemoved, firstElementAdded, get, isEmpty, lastElementRemoved, newArray, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Unique

          public Unique()

  - ### Method Detail

    - #### validate

          protected boolean validate​(E element)

      Overrides:
        `validate` in class `ConcurrentArray<E>`

    - #### equals

          protected boolean equals​(E e1,
                                   E e2)

      Synchronized through `ConcurrentArray.add(Object)`.
      Overrides:
        `equals` in class `ConcurrentArray<E>`

    - #### violatingUniqueness

          protected void violatingUniqueness​(E element)

      Synchronized through `ConcurrentArray.add(Object)`.